Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04702 Interface Minor Always 2012-02-22 04:12 2012-03-06 21:32
Tester BarnacleEd View Status Public Platform SDLMAME
Assigned To hap Resolution Fixed OS Linux
Status [?] Resolved   Driver
Version 0.145u1 Fixed in Version 0.145u4 Build Normal
Summary 04702: UI Menus: Bottom menu option problems
Description Two issues here.

1. Mini UI bottom menu option should be "Exit" but starts as "Return to Game" until something in the menu has to be redrawn. Typing a space will change the option to "Exit" but hitting Esc will return it to "Return to Game". Typing a Backspace after the space (to load a new set of random choices) will leave the option on "Exit".

2. This also occurs while in-game in the Tab menu; it will initially show "Return to Game" (though in this case, it's correct) but entering a submenu will cause it to remain showing "Return to Game". It will change to "Return to Prior Menu" when. say. in the Dip Switches submenu, you change a dipswitch.
Steps To Reproduce In description.
Additional Information I don't know if this is SDLMAME specific. It's been present since at least 0.145 but I didn't think to report it until now.
Flags
Regression Version
Affected Sets / Systems UI Menus
Attached Files
 

- Relationships
duplicate of 04592Resolvedhap GUI last menu item shows "Return to Game" instead of "Return to Prior Menu" 

-  Notes
User avatar (08244)
Robbbert (Developer)
2012-02-22 11:25

I can confirm this, 0.145u1. It happens in MESS as well, although of course 'Return to Game' is replaced by 'Return to System'.
User avatar (08252)
Tafoid (Administrator)
2012-02-22 18:42

Was talked about when the UI was C++-ified back in the 0.144 cycle. When or if it will be fixed is another thing.
User avatar (08255)
BarnacleEd (Senior Tester)
2012-02-23 04:14

IMO, it should be fixed, because once you notice it, you'll keep noticing it and it looks bad.
User avatar (08266)
Tafoid (Administrator)
2012-02-24 17:59

My bad hap. I knew we were talking about it and I totally forgot you logged and I confirmed that other one. Thanks for setting up the relationship.
User avatar (08301)
Firewave (Developer)
2012-03-01 04:18

When you start with no roms available it also says "Return to Game" instead of "Exit". That might be typo though.
User avatar (08302)
BarnacleEd (Senior Tester)
2012-03-01 04:20

Firewave: It does the same thing if you start with ROMs, it should say "Exit" but it says "Return to Game," which seems to be what it's defaulting to. If you start a game directly and never use a submenu you'll never notice it.